#
# Conditional build:
%bcond_without	static_libs	# don't build static library

%define		mver	0.6
Summary:	A CSS2 parsing library
Summary(pl.UTF-8):	Biblioteka analizująca CSS2
Name:		libcroco
Version:	0.6.13
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libcroco/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	c80c5a8385011a0260dce6bd0da93dce
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.13
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig >= 1:0.8
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.12.0
Requires:	libxml2 >= 1:2.6.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CSS2 parsing and manipulation library for GNOME.

%description -l pl.UTF-8
Biblioteka analizująca i obrabiająca CSS2 dla GNOME.

%package devel
Summary:	Header files for developing with libcroco
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów używających libcroco
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
This package provides the necessary header files files to allow you to
develop with libcroco.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki nagłówkowe potrzebne do tworzenia
oprogramowania korzystającego z libcroco.

%package static
Summary:	Static version of libcroco library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libcroco
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libcroco library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libcroco.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcroco*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/csslint-%{mver}
%attr(755,root,root) %{_libdir}/libcroco-%{mver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcroco-%{mver}.so.3

%files devel
%defattr(644,root,root,755)
%doc docs/usage.txt
%attr(755,root,root) %{_bindir}/croco-%{mver}-config
%attr(755,root,root) %{_libdir}/libcroco-%{mver}.so
%{_includedir}/libcroco-%{mver}
%{_pkgconfigdir}/libcroco-%{mver}.pc
%{_examplesdir}/%{name}-%{version}
%{_gtkdocdir}/libcroco

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcroco-%{mver}.a
%endif
%changelog
* Sat Apr 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcroco.git;a=log;h=master

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> b08793b
- updated to 0.6.13

* Fri Apr 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9a9ef05
- Update to 0.6.12

* Tue Aug 02 2016 Tomasz Pala <gotar@pld-linux.org> 5aab7c8
- removed la file as there is pc provided

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> e7b29d0
- updated to 0.6.11

* Sat Oct 31 2015 Jakub Bogusz <qboosh@pld-linux.org> bc12deb
- updated to 0.6.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 047ba34
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 2fa4eed
- updated to 0.6.8

* Tue Oct 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> 05a9b5c
- updated to 0.6.7

* Tue Sep 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 12bf3c8
- package *.la file for now

* Tue Sep 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 26a102d
- updated to 0.6.6

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> d1feb85
- drop *.la file; rel. 2

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 725c7d0
- updated to 0.6.5

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> a5eb14f
- updated to 0.6.4
- removed obsolete link patch

* Tue Nov 15 2011 Jakub Bogusz <qboosh@pld-linux.org> f3fe32c
- updated to 0.6.3
- package gtk-doc files

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 65ab5ae
- bconds should be the very first thing, moved defines and includes after them

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> ec76cec
- BR: gtk-doc-automake

* Sat Feb 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6bc60b2
- updated for 0.6.2

* Sat Feb 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ccd23b2
- updated to 0.6.2

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0924110
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5428f5f
- tabs in preamble

